
# ApiException

Thrown when there is a network error or HTTP response status code is not okay.

## Methods

| Name | Type | Description |
|  --- | --- | --- |
| getHttpRequest() | [`HttpRequest`](http-request.md) | Returns the HTTP request. |
| getHttpResponse() | ?[`HttpResponse`](http-response.md) | Returns the HTTP response. |
| hasResponse() | bool | Is the response available? |

